package org.ff4j.cassandra;

/*
 * #%L
 * ff4j-store-cassandra
 * %%
 * Copyright (C) 2013 - 2020 FF4J
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */

import org.ff4j.cassandra.store.EventRepositoryCassandra;
import org.ff4j.test.audit.EventRepositoryTestSupport;
import org.junit.AfterClass;

import com.datastax.oss.driver.api.core.CqlSession;

/**
 * Test Cassandra Store.
 *
 * @author Cedrick LUNVEN (@clunven)
 */
public abstract class AsbtractEventRepositoryCassandraTest extends EventRepositoryTestSupport {
   
    protected static CqlSession cqlSession;
    
    public abstract CqlSession initCqlSession();
    
    /** {@inheritDoc} */
    @Override
    protected EventRepositoryCassandra initRepository() {
        if (null == cqlSession) cqlSession = initCqlSession();
        EventRepositoryCassandra store = new EventRepositoryCassandra(cqlSession);
        store.createSchema();
        return store;
    }
    
    @AfterClass
    public static void closeConnection() {
        cqlSession.close();
        cqlSession = null;
    }
}
